commit:     e0f4f4bfd42ab9f528f9bfbe75142eea0f8f7df8
Author:     Fco Javier Felix <ffelix <AT> inode64 <DOT> com>
AuthorDate: Wed Jun  5 21:15:55 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Jul 20 06:59:24 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0f4f4bf

media-libs/libiptcdata: Update ebuild (EAPI, PYTHON_COMPAT)

* Include support for Python 12 and 13
* Update EAPI 8
* Requite distutils

Bug: https://bugs.gentoo.org/893362
Bug: https://bugs.gentoo.org/929642
Signed-off-by: Fco Javier Felix <ffelix <AT> inode64.com>
Closes: https://github.com/gentoo/gentoo/pull/37041
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-libs/libiptcdata/libiptcdata-1.0.5-r1.ebuild | 82 ++++++++++++++++++++++
 1 file changed, 82 insertions(+)

diff --git a/media-libs/libiptcdata/libiptcdata-1.0.5-r1.ebuild 
b/media-libs/libiptcdata/libiptcdata-1.0.5-r1.ebuild
new file mode 100644
index 000000000000..2da3515a41e6
--- /dev/null
+++ b/media-libs/libiptcdata/libiptcdata-1.0.5-r1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..13} )
+DISTUTILS_EXT=1
+DISTUTILS_OPTIONAL=1
+DISTUTILS_USE_PEP517=setuptools
+
+inherit autotools distutils-r1
+
+DESCRIPTION="Library for International Press Telecommunications Council (IPTC) 
metadata"
+HOMEPAGE="https://github.com/ianw/libiptcdata 
https://libiptcdata.sourceforge.net/";
+SRC_URI="https://github.com/ianw/${PN}/releases/download/release_1_0_5/${P}.tar.gz";
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc 
~x86"
+IUSE="doc examples nls python"
+
+RDEPEND="
+       nls? ( virtual/libintl )
+       python? ( ${PYTHON_DEPS} )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       doc? ( >=dev-util/gtk-doc-1 )
+       nls? ( >=sys-devel/gettext-0.13.1 )
+       python? (
+               ${DISTUTILS_DEPS}
+               ${PYTHON_DEPS}
+       )
+"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+src_prepare() {
+       default
+       eautoreconf
+       if use python; then
+               cd python || die
+               distutils-r1_src_prepare
+       fi
+}
+
+src_configure () {
+       local myeconfargs=(
+               $(use_enable nls)
+               $(use_enable python)
+               $(use_enable doc gtk-doc)
+       )
+       econf "${myeconfargs[@]}"
+
+       if use python; then
+               cd python || die
+               distutils-r1_src_configure
+       fi
+}
+
+src_compile() {
+       default
+       if use python; then
+               cd python || die
+               distutils-r1_src_compile
+       fi
+}
+
+src_install () {
+       default
+
+       find "${D}" -name '*.la' -delete || die "failed to remove *.la files"
+
+       if use python; then
+               cd python || die
+               distutils-r1_src_install
+       fi
+
+       if use examples; then
+               dodoc python/README
+               dodoc -r python/examples
+       fi
+}

Reply via email to